html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.ImageFond {
    background-image: url('../Images/background-berger.jpg');
    background-repeat: no-repeat;
    background-size: cover;
}

.NomColonne {
    font-size: 1em;
}

.spinner-fond {
    width: 100%;
    height: 100%;
    background: #ffffffa8;
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0;
    right: 0;
}

.spinner-container {
    position: fixed;
    top: 50%;
    left: 50%;
}

.Icone_Primary {
    filter: invert(41%) sepia(64%) saturate(6263%) hue-rotate(200deg) brightness(103%) contrast(105%);
}

.Icone_Secondary {
    filter: invert(52%) sepia(4%) saturate(918%) hue-rotate(167deg) brightness(85%) contrast(87%);
}

.Icone_Success {
    filter: invert(52%) sepia(63%) saturate(523%) hue-rotate(82deg) brightness(89%) contrast(93%);
}

.Icone_Danger {
    filter: invert(24%) sepia(71%) saturate(2146%) hue-rotate(332deg) brightness(101%) contrast(92%);
}

.Icone_Warning {
    filter: invert(73%) sepia(86%) saturate(1484%) hue-rotate(352deg) brightness(104%) contrast(103%);
}

.Icone_Info {
    filter: invert(44%) sepia(90%) saturate(460%) hue-rotate(140deg) brightness(101%) contrast(84%);
}

.Icone_Light {
    filter: invert(94%) sepia(5%) saturate(526%) hue-rotate(191deg) brightness(107%) contrast(97%);
}

.Icone_Dark {
    filter: invert(17%) sepia(7%) saturate(1163%) hue-rotate(169deg) brightness(95%) contrast(83%);
}

@media (max-width: 800px) {
    .btn {
        font-size: 1.3em;
    }

    .Bouton_Modif_Profil {
        font-size: 1.3em;
    }

    .Svg_Lien {
        width: 2.5em;
        height: 2.5em;
    }

    .Svg_Modif_Participant {
        width: 2.5em;
        height: 2.5em;
    }

    td {
        font-size: 1em;
    }

    .NomColonne {
        font-size: 1em;
    }

    .Img_Inscription {
        width: 8em;
        height: 6em;
    }

    .Badge_Inscription {
        width: 100%;
        font-size: 0.9em;
    }

    ul {
        font-size: 1.6em;
    }

    li {
        font-size: 1em;
    }

    .Menu_Item {
        font-size: 1.3em;
    }

    .Xft_Image {
        width: 15em;
        height: 10em;
    }
}

@media (min-width: 800px) {
    .btn {
        font-size: 16px;
    }

    .Svg_Modif_Participant {
        width: 1.3em;
        height: 1.3em;
    }

    .Badge_Inscription {
        width: 50%;
        font-size: 0.9em;
    }
}

@media (min-width: 1000px) {
    .btn {
        font-size: 16px;
    }

    .Svg_Modif_Participant {
        width: 1.3em;
        height: 1.3em;
    }

    .Badge_Inscription {
        width: 40%;
        font-size: 0.9em;
    }
}

#title {
    margin-bottom: 20px;
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

a:active {
    text-decoration: none;
}

h1 > a,
h2 > a,
h3 > a,
h4 > a,
h5 > a,
h6 > a {
    color: black !important;
    font-weight: bold;
}

    h1 > a:hover, h1 > a:focus,
    h2 > a:hover, h2 > a:focus,
    h3 > a:hover, h3 > a:focus,
    h4 > a:hover, h4 > a:focus,
    h5 > a:hover, h5 > a:focus,
    h6 > a:hover, h6 > a:focus {
        text-decoration: none !important;
    }


/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    color: #4ab948;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}


#map-canvas {
    height: 500px;
    margin-bottom: 20px;
}

#map-widget {
    width: 35%;
    box-shadow: rgba(0, 0, 0, 0.298039) 0px 1px 4px -1px;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 10px;
    font-family: Roboto, Arial;
    font-size: 13px;
    margin: 15px;
}

.navbar-brand {
    padding: 0px;
}

    .navbar-brand > img {
        height: 100%;
        padding: 15px;
        width: auto;
    }

.brand-centered {
    display: flex;
    justify-content: center;
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
}

    .brand-centered .navbar-brand {
        display: flex;
        align-items: center;
    }

.navbar-toggle {
    z-index: 1;
}

.connexion-right {
    top: 150px;
    background-color: white;
}

.connexion-input:focus {
    border-color: #378ef0;
    -webkit-box-shadow: 0 1px 0 #378ef0;
    box-shadow: 0 1px 0 #378ef0;
}

.connexion-input {
    height: 28px;
    padding-bottom: 0;
    font-size: 16px;
    line-height: 1.15;
    background-color: rgba(0,0,0,0);
    border-color: #eaeaea;
    padding-top: 0;
    color: #505050;
    border-radius: 0;
    border-width: 0 0 1px;
    padding-left: 0;
    padding-right: 0;
    resize: none;
    overflow-y: hidden;
    box-shadow: none;
}

.btn-action {
    min-width: 170px;
}

.connexion-right input[type="submit"] {
    margin-top: 30px;
    width: 100%;
}

.img-preview {
    width: 96px;
    height: 96px;
}

.img-historique {
    width: 600px;
    height: 400px;
}

.container-historique {
    margin-left: auto;
    margin-right: auto;
    width: 600px;
    position: relative;
}

.filterGray {
    filter: grayscale(1);
}

.img-historique {
    width: 600px;
    height: 400px;
}

.container-historique {
    margin-left: auto;
    margin-right: auto;
    width: 600px;
    position: relative;
}

}


/*----------------------------tuile-----------------------------------*/
.ifs_tuile {
    margin: 15px 0px;
    padding: 5px;
    border-radius: 5px;
    text-align: center;
    background-color: white;
}

.ifs_tuile_text {
    height: 75px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.ifs_tuile_btn {
    height: 40px;
    margin: 6px 0px;
}
/*--------------------------------------------------------------------*/


/*--------------------------------------------------------------------*/
/*TESTS DROPDOWN SPECIAL (dropdown créée manuellement sans helpers) */

.dropdownspecial {
    position: relative;
    display: inline-block;
    padding: 3px 6px;
    /*background-color: #ddd;*/
    border-radius: 10px;
    cursor: pointer;
    border: #ddd 1px solid;
}

    .dropdownspecial:after {
        /*content: '\2b';*/
        content: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'><path fill='grey' d='M17 9.17a1 1 0 0 0-1.41 0L12 12.71L8.46 9.17a1 1 0 0 0-1.41 0a1 1 0 0 0 0 1.42l4.24 4.24a1 1 0 0 0 1.42 0L17 10.59a1 1 0 0 0 0-1.42'/></svg>");
        display: block;
        font-size: 1rem;
        font-family: 'Font Awesome 6 Free';
        position: absolute;
        top: 50%;
        right: 5px;
        transform: translateY(-50%);
        pointer-events: none;
    }

    .dropdownspecial:hover {
        /*color: green;*/
        /*border-color: green;*/
    }

    .dropdownspecial select {
        -moz-appearance: none;
        -webkit-appearance: none;
        appearance: none;
        /*outline: none;*/
        border: none;
        background: none;
        color: inherit;
        padding-right: 1rem;
    }
/*--------------------------------------------------------------------*/







